Subject: [PATCH 1/3] ARM: shmobile: use common platform header for HPB-DMAC

From: [email-masked] (Sergei Shtylyov)
Date: Fri, 19 Jul 2013 15:32:38 +0400

Hello.

On 19-07-2013 15:17, Sergei Shtylyov wrote:

>>>>> From: Max Filippov <[email-masked]>

>>>>> Use previously empty <mach/dma.h> to declare HPB-DMA slave IDs.

>>>>> Signed-off-by: Max Filippov <[email-masked]>
>>>>> [Sergei: changed the guard macro name, fixed comment, extended copyright.]
>>>>> Signed-off-by: Sergei Shtylyov <[email-masked]>

>>>>> ---
>>>>>    arch/arm/mach-shmobile/include/mach/dma.h |   25
>>>>> ++++++++++++++++++++++++-
>>>>>    1 file changed, 24 insertions(+), 1 deletion(-)

>>>> Thanks for your patch. Can you please explain the reason why you put
>>>> this shared information under mach/?

    IIUC, because the only 2 file using it were under arch/arm/mach-shmobile/.

>>>      I'm afraid that's more a question to the original author, Phil Edworthy.
>>> He put this stuff into <mach/hpb-dmae.h>.

>> Then, why you could send this patch instead of original author,

>     Ask Phil why didn't he upstream his stuff. We, unlike him, do have
> obligation to upstream it.

>> even though you can't answer any question about it ?

>     I'm not the author of the patch, let me remind you, Max Filippov is.
> He was on vacations.

    Phil's patches were only for R8A7778, IIRC (yet, the platfrom DMA code was 
placed in a separate file, not r8a7778.c). Max decided to use the 
<mach/hpb-dmae.h> header for sharing the DMA channel IDs between R8A777[89], I 
agreed but suggested to use the empty <mach/dma.h> instead.

>> Best regards
>> ---
>> Kuninori Morimoto

WBR, Sergei